## percona-xtrabackup 8.0.35-30

=== debian/changelog ===
percona-xtrabackup (8.0.35-30-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:31 +1100

percona-xtrabackup (8.0.35-30-0ubuntu4) noble; urgency=medium

  * Rebuild against new libaio1t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Mar 2024 17:06:54 +0100

percona-xtrabackup (8.0.35-30-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:53:54 +0000

percona-xtrabackup (8.0.35-30-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:21:51 +0000

percona-xtrabackup (8.0.35-30-0ubuntu1) noble; urgency=medium

  * Initial release (LP: #2003312)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 29 Feb 2024 03:01:43 -0700

=== debian/control ===
Source: percona-xtrabackup
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Lena Voytek <lena.voytek@canonical.com>
Build-Depends: automake,
               bison,
               ca-certificates,
               cmake,
               debhelper (>= 13~),
               fakeroot,
               help2man,
               libaio-dev,
               libcurl4-openssl-dev,
               libncurses-dev,
               libgcrypt-dev,
               libev-dev,
               libproc2-dev,
               libprotobuf-dev,
               libprotoc-dev,
               libsasl2-dev,
               libssl-dev,
               libtool,
               libudev-dev,
               libz-dev,
               libzstd-dev,
               lsb-release,
               mysql-source-8.0,
               pkgconf,
               protobuf-compiler,
               python3-docutils (>= 0.16),
               python3-sphinx (>= 1.8.5),
               vim-common,
               xxd,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 4.6.2
Homepage: http://www.percona.com/software/percona-xtrabackup

Package: percona-xtrabackup
Architecture: any
Depends: libdbd-mysql-perl, libcurl4-openssl-dev, rsync, ${misc:Depends}, ${shlibs:Depends}
Enhances: mysql-server
Description: Open source backup tool for InnoDB and XtraDB
 Percona XtraBackup is an open-source hot backup utility for MySQL that
 doesn't lock your database during the backup. It can back up data from
 InnoDB, XtraDB and MyISAM tables on MySQL/Percona Server/MariaDB
 servers, and has many advanced features.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NCPU=$(shell grep -c processor /proc/cpuinfo)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	tar -zxpf /usr/src/mysql/mysql-source-8.0.tar.gz -C ..
	mkdir release && cd release && \
	  cmake .. -DBUILD_CONFIG=xtrabackup_release \
	  -DINSTALL_PLUGINDIR=lib/xtrabackup/plugin -DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
	  -DDOWNLOAD_BOOST=0 -DWITH_BOOST=../../mysql-8.0/boost/boost_1_77_0 \
	  -DWITH_SSL=system -DWITH_PROTOBUF=system -DWITH_ZLIB=system -DWITH_ZSTD=system

override_dh_auto_build:
	cd release && make -j$(NCPU)

# xbcloud currently does not have a man page, use its help output instead
override_dh_auto_install:
	cd release && help2man -N \
	-n "Manage backups on cloud services" \
	-o ./storage/innobase/xtrabackup/doc/source/build/man/xbcloud.1 ./bin/xbcloud
	dh_auto_install

override_dh_strip:
	dh_strip -Xlibprotobuf-lite

%:
	dh $@

=== debian/tests/control ===
Tests: smoke
Depends: percona-xtrabackup

Tests: fullbackup
Depends: percona-xtrabackup, mysql-server
Restrictions: needs-root

=== debian/watch ===
version=4
https://repo.percona.com/apt/pool/main/p/percona-xtrabackup-80/ percona-xtrabackup-80_(.*).orig.tar.gz

## percona-xtrabackup 8.0.35-31

=== debian/changelog ===
percona-xtrabackup (8.0.35-31-0ubuntu1) oracular; urgency=medium

  * New upstream version 8.0.35-31
    - Updates:
      + Upstream support for ARM64 architecture
    - Bug Fixes:
      + Fix config generation for tables with temporal datatypes when charset
        is changed
      + Fix schema mismatch when importing table with full-text index
      + Fix backups against mysql 8.0.30
    - For more info see
      https://docs.percona.com/percona-xtrabackup/8.0/release-notes/8.0/8.0.35-31.0.html
  * Fix stderr in autopkgtests
    By default, xtrabackup sends notes and version information to stderr, which
    causes autopkgtests to fail. This fix updates the smoke test and control
    file to allow the tests to succeed.
    - d/t/control: Allow stderr in fullbackup test
    - d/t/smoke: Send xtrabackup version output to stdout

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 08 Aug 2024 11:56:05 -0700

## percona-xtrabackup 8.4.0

=== storage/innobase/xtrabackup/src/CMakeLists.txt ===
# Copyright (c) 2013, 2023 Percona LLC and/or its affiliates.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

INCLUDE(gcrypt)
INCLUDE(procps)

OPTION(WITH_VERSION_CHECK "Build with version check" ON)

INCLUDE(${MYSQL_CMAKE_SCRIPT_DIR}/compile_flags.cmake)

FIND_GCRYPT()

IF(NOT APPLE)
  FIND_PROCPS()
ENDIF()

CHECK_TYPE_SIZE("unsigned long" SIZEOF_UNSIGNED_LONG)

IF(WITH_VERSION_CHECK)
# xxd is needed to embed version_check script
FIND_PROGRAM(XXD_PATH xxd)

IF(NOT XXD_PATH)
  MESSAGE(FATAL_ERROR "xxd not found. Try to install vim-common.")
ENDIF(NOT XXD_PATH)

SET(HAVE_VERSION_CHECK 1)
ELSE()
SET(HAVE_VERSION_CHECK 0)
ENDIF(WITH_VERSION_CHECK)

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}/storage/innobase/include
  ${CMAKE_SOURCE_DIR}/sql
  ${CMAKE_SOURCE_DIR}/storage/innobase/xtrabackup/src/quicklz
  ${CMAKE_SOURCE_DIR}/storage/innobase/xtrabackup/src/crc
  ${GCRYPT_INCLUDE_DIR}
  ${CURL_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  )

ADD_DEFINITIONS(${SSL_DEFINES})

ADD_SUBDIRECTORY(crc)
ADD_SUBDIRECTORY(jsmn)
ADD_SUBDIRECTORY(xbcloud)

########################################################################
# xtrabackup binary
########################################################################
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/xtrabackup_version.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/xtrabackup_version.h)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/xtrabackup_config.h)

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/plugin/keyring
  ${BOOST_PATCHES_DIR})


MY_ADD_COMPILE_DEFINITIONS(
  xtrabackup.cc
  backup_mysql.cc
  file_utils.cc
  xb_dict.cc
  COMPILE_DEFINITIONS MYSQL_CLIENT)

MYSQL_ADD_EXECUTABLE(xtrabackup
  xtrabackup.cc
  changed_page_tracking.cc
  datasink.cc
  ds_buffer.cc
  ds_compress.cc
  ds_compress_lz4.cc
  ds_compress_zstd.cc
  ds_encrypt.cc
  ds_fifo.cc
  ds_local.cc
  ds_stdout.cc
  ds_tmpfile.cc
  ds_xbstream.cc
  fil_cur.cc
  file_utils.cc
  quicklz/quicklz.c
  read_filt.cc
  write_filt.cc
  wsrep.cc
  xbcrypt_common.cc
  xbcrypt_write.cc
  xbstream_write.cc
  backup_mysql.cc
  xb_dict.cc
  backup_copy.cc
  keyring_plugins.cc
  keyring_components.cc
  utils.cc
  kdf.cc
  space_map.cc
  redo_log_consumer.cc
  redo_log.cc
  ${CMAKE_SOURCE_DIR}/sql-common/client_authentication.cc
  )

SET_TARGET_PROPERTIES(xtrabackup PROPERTIES ENABLE_EXPORTS true)

TARGET_LINK_LIBRARIES(xtrabackup
  sql_main
  innobase
  sql_dd
  sql_gis
  rpl
  rpl_source
  rpl_replica
  mysqlservices
  binlog
  mysqlclient
  minchassis
  keyring_common
  ${GCRYPT_LIBS}
  ext::icu
  crc
  )

IF(NOT APPLE)
  IF(PROCPS_VERSION EQUAL 4)
    TARGET_LINK_LIBRARIES(xtrabackup proc2)
  ELSE()
    TARGET_LINK_LIBRARIES(xtrabackup procps)
  ENDIF()
ENDIF()

 # We depend on protobuf because of the mysqlx plugin and replication.
 IF(UNIX_INSTALL_RPATH_ORIGIN_PRIV_LIBDIR)
   ADD_INSTALL_RPATH_FOR_PROTOBUF(xtrabackup)
 ENDIF()

 # KMIP depend on boost
 INCLUDE_DIRECTORIES(SYSTEM
        ${BOOST_PATCHES_DIR}
        ${BOOST_INCLUDE_DIR})

IF(WITH_VERSION_CHECK)
ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/version_check_pl.h
                   COMMAND ${XXD_PATH} --include version_check.pl
                   ${CMAKE_CURRENT_BINARY_DIR}/version_check_pl.h
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

ADD_CUSTOM_TARGET(GenVersionCheck
                  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/version_check_pl.h)

ADD_DEPENDENCIES(xtrabackup GenVersionCheck)
ENDIF(WITH_VERSION_CHECK)

########################################################################
# xbstream binary
########################################################################
MYSQL_ADD_EXECUTABLE(xbstream
  ds_buffer.cc
  ds_local.cc
  ds_stdout.cc
  ds_decompress.cc
  ds_decrypt.cc
  ds_decompress_lz4.cc
  ds_decompress_zstd.cc
  datasink.cc
  file_utils.cc
  quicklz/quicklz.c
  xbstream.cc
  xbstream_read.cc
  xbstream_write.cc
  xbcrypt_common.cc
  xbcrypt_write.cc
  ${BUNDLED_LZ4_PATH}/xxhash.c
  )

MY_ADD_COMPILE_DEFINITIONS(
  ${BUNDLED_LZ4_PATH}/xxhash.c
  COMPILE_DEFINITIONS XXH_NAMESPACE=MY_
  )
ADD_COMPILE_FLAGS(
    ${BUNDLED_LZ4_PATH}/xxhash.c
    ds_decompress_lz4.cc
    ds_decompress_zstd.cc
    ds_compress_lz4.cc
    COMPILE_FLAGS -I${CMAKE_SOURCE_DIR}/extra/lz4 -I${BUNDLED_LZ4_PATH}
)

SET_TARGET_PROPERTIES(xbstream
        PROPERTIES LINKER_LANGUAGE CXX
        )

TARGET_LINK_LIBRARIES(xbstream
  ext::zstd
  ${GCRYPT_LIBS}
  mysys
  crc
  ext::lz4
  )

########################################################################
# xbcrypt binary
########################################################################
MYSQL_ADD_EXECUTABLE(xbcrypt
  file_utils.cc
  xbcrypt.cc
  xbcrypt_common.cc
  xbcrypt_read.cc
  xbcrypt_write.cc
  datasink.cc
  ds_encrypt.cc
  ds_decrypt.cc
  ds_local.cc
  ds_stdout.cc
  )

SET_TARGET_PROPERTIES(xbcrypt
        PROPERTIES LINKER_LANGUAGE CXX
        )

TARGET_LINK_LIBRARIES(xbcrypt
  ${GCRYPT_LIBS}
  mysys
  crc
  )

=== storage/innobase/xtrabackup/src/xbcloud/CMakeLists.txt ===
# Copyright (c) 2019-2023 Percona and/or its affiliates. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA */

########################################################################
# xbcloud binary
########################################################################

INCLUDE(gcrypt)
INCLUDE(curl)
INCLUDE(libev)

SET(WITH_CURL "system" CACHE STRING "Using system curl by default")

FIND_GCRYPT()
FIND_EV()

# Remove -Wundef from C++ compiler flags since there are several
# undefined identifiers which are evaluated in for example ev.h
STRING(REPLACE "-Wundef " "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})

INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}/storage/innobase/include
  ${CMAKE_SOURCE_DIR}/sql
  ${CMAKE_SOURCE_DIR}/storage/innobase/xtrabackup/src
  ${CMAKE_SOURCE_DIR}/storage/innobase/xtrabackup/src/crc
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${GCRYPT_INCLUDE_DIR}
  ${LIBEV_INCLUDE_DIRS}
  )

MYSQL_ADD_EXECUTABLE(xbcloud
  xbcloud.cc
  ../xbstream_read.cc
  http.cc
  azure.cc
  s3.cc
  s3_ec2.cc
  ../xbcrypt_common.cc
  ../file_utils.cc
  swift.cc
  library_version_check.cc)

SET_TARGET_PROPERTIES(xbcloud
        PROPERTIES LINKER_LANGUAGE CXX
        )

TARGET_LINK_LIBRARIES(xbcloud
  ${GCRYPT_LIBS}
  ${LIBEV_LIBRARIES}
  extra::rapidjson
  ext::curl
  mysys
  crc
  )

IF (WITH_UNIT_TESTS AND CMAKE_VERSION VERSION_GREATER 3.22.1)
  ENABLE_TESTING()

  FIND_PACKAGE(GTest)

  IF (GTEST_FOUND)

    INCLUDE_DIRECTORIES(
      ${GTEST_INCLUDE_DIRECTORIES}
      )

    ADD_EXECUTABLE(xbcloud-t xbcloud-t.cc
      http.cc
      s3.cc
      azure.cc
      swift.cc)

    TARGET_LINK_LIBRARIES(xbcloud-t
      ${GCRYPT_LIBS}
      ${LIBEV_LIBRARIES}
      ${GTEST_BOTH_LIBRARIES}
      GTest::gtest
      GTest::gmock
      extra::rapidjson
      ext::curl
      mysys
      crc
      )

    ADD_TEST(xbcloud xbcloud-t)

  ENDIF()

ENDIF()

## percona-xtrabackup 8.4.0-1

=== debian/changelog ===
percona-xtrabackup (8.4.0-1-0ubuntu1) plucky; urgency=medium

  * New upstream version 8.4.0-1 (LP: #2089059)
  * d/control, d/rules: Remove mysql-source dependency - no longer needed
    Xtrabackup originally used mysql-source to match MySQL's vendored boost
    version. However, it now includes boost 1.84 within its own upstream. Use
    that one instead.
  * d/watch: Update to Xtrabackup 8.4 repository
  * d/copyright: Add new boost files
  * Remove 32-bit support to match 32-bit MySQL 8.4 server removal
    - d/control: Remove 32-bit architectures
    - d/p/fix-32bit-builds.patch: Remove - no longer needed

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 21 Nov 2024 12:25:45 -0700

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
                libz-dev,
                libzstd-dev,
                lsb-release,
-               mysql-source-8.0,
                pkgconf,
                protobuf-compiler,
                python3-docutils (>= 0.16),
@@ -37,7 +36,7 @@
 Homepage: http://www.percona.com/software/percona-xtrabackup
 
 Package: percona-xtrabackup
-Architecture: any
+Architecture: amd64 arm64 s390x ppc64el riscv64
 Depends: libdbd-mysql-perl, libcurl4-openssl-dev, rsync, ${misc:Depends}, ${shlibs:Depends}
 Enhances: mysql-server
 Description: Open source backup tool for InnoDB and XtraDB

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 override_dh_auto_configure:
-	tar -zxpf /usr/src/mysql/mysql-source-8.0.tar.gz -C ..
 	mkdir release && cd release && \
 	  cmake .. -DBUILD_CONFIG=xtrabackup_release \
 	  -DINSTALL_PLUGINDIR=lib/xtrabackup/plugin -DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
-	  -DDOWNLOAD_BOOST=0 -DWITH_BOOST=../../mysql-8.0/boost/boost_1_77_0 \
+	  -DDOWNLOAD_BOOST=0 -DWITH_BOOST=../extra/boost/boost_1_84_0 \
 	  -DWITH_SSL=system -DWITH_PROTOBUF=system -DWITH_ZLIB=system -DWITH_ZSTD=system
 
 override_dh_auto_build:

=== debian/tests/control ===
Tests: smoke
Depends: percona-xtrabackup

Tests: fullbackup
Depends: percona-xtrabackup, mysql-server
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=4
https://repo.percona.com/pxb-84-lts/apt/pool/main/p/percona-xtrabackup-84/ percona-xtrabackup-84_(.*).orig.tar.gz

## percona-xtrabackup 8.4.0-5

=== debian/changelog ===
percona-xtrabackup (8.4.0-5-0ubuntu1) resolute; urgency=medium

  * New upstream version 8.4.0-5
  * d/control: Use debhelper-compat dependency

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 12 Jan 2026 17:54:51 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                bison,
                ca-certificates,
                cmake,
-               debhelper (>= 13~),
+               debhelper-compat (= 13),
                fakeroot,
                help2man,
                libaio-dev,
